<?php
/**
 * @category   Location
 * @package    Location_DeliveryArea
 * @author     shashank.bluethink@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Location\DeliveryArea\Controller\Index;

use Magento\Framework\App\Action\Context;
use Magento\Framework\Exception\NotFoundException;
use Location\DeliveryArea\Block\DeliveryAreaView;

class View extends \Magento\Framework\App\Action\Action
{
	protected $_deliveryareaview;

	public function __construct(
        Context $context,
        DeliveryAreaView $deliveryareaview
    ) {
        $this->_deliveryareaview = $deliveryareaview;
        parent::__construct($context);
    }

	public function execute()
    {
         $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
        $productCollection = $objectManager->create('Magento\Catalog\Model\ResourceModel\Product\Collection');
        $collection = $productCollection->addAttributeToSelect('*')->addFieldToFilter('free_gift',1)->load();
        $cart = $objectManager->get('\Magento\Checkout\Model\Cart');
        $items = $cart->getQuote()->getAllItems();
        $subtotel=$cart->getQuote()->getSubtotal();
        if($subtotel>'150'){
            echo "150";
        }
        elseif($subtotel>'100'){
            echo "100";
        }else{
            echo "none";
        }
    	// if(!$this->_deliveryareaview->getSingleData()){
    	// 	throw new NotFoundException(__('Parameter is incorrect.'));
    	// }
    	
     //    $this->_view->loadLayout();
     //    $this->_view->getLayout()->initMessages();
     //    $this->_view->renderLayout();
    }
}
